lkml.org 
[lkml]   [2001]   [Feb]   [2]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: ReiserFS Oops (2.4.1, deterministic, symlink
Date
> Users cannot use gcc 2.96 as shipped in RedHat 7.0 if they want to use
> reiserfs. It is that simple. How can you even consider defending allowing the
> use of it without requiring a positive affirmation by the user that they don't
> know what they are doing and want to do it anyway?:-) I could understand

The kernel documentation explicitly says to use egcs-1.1.2 or 2.95 for x86.
If you want to put in #ifdefs then let me assure you that you will then get
a million emails that 'reiserfs doesnt build'. I went this way with older
gcc's in 2.0 and the amount of mail more than doubled by doing the check

If people use other compilers then certainly ignore the bug reports. For 2.2
until recently that was policy with gcc 2.95

Also remember to check for 2.96 but not 2.96-69 (the errata one) and remember
to do specific architecture tests as there is no other compiler set available
for IA64 for example.

> to respond to their having them. I look forward to gcc 3.00, and I encourage
> the compiler guys to get over being (understandably) irked that somebody else

Gcc 3.0 CVS branch wont build the kernel either right now - DAC960 fails.

Alan

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 13:28    [W:0.085 / U:1.424 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site